Foreman - Bug #30555

Authorizer is unable to handle association mismatch
08/03/2020 11:16 PM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Users, Roles and Permissions
Target version: 2.3.0
Difficulty: medium Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7877
Description

Authorizer is not able to handle situations of filter being defined for association that is defined on Host::Managed, if association to the
Host is to the Host::Base

Example:

Filter( permissions: ['view_hosts'], search: 'os = Debian' )
Authorizer#find_collection (Host, permission: :view_hosts, Jjoined_on: FactValue)

Related issues:
Related to Foreman - Bug #30681: Filter on fact value is not working properly... Closed
Has duplicate Foreman - Bug #29011: Adding search for Operating system in rol... Duplicate

Associated revisions

Revision f4d9295e - 08/25/2020 04:37 PM - Ondiej Ezr
Fixes #30555 - Authorizer uses subselect for joined_on (#7877)

if we use joined_on class, we are using the where clause on that class through the association.
This is very volatile and it doesnt play well with the Host STI.

See the test for example failure

History

#1 - 08/03/2020 11:17 PM - Ondfej Ezr

- Related to Bug #2901 1: Adding search for Operating system in role's host filter with permission view_hosts does not construct SQL query when API
is used added

#2 - 08/03/2020 11:25 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7877 added

#3 - 08/25/2020 03:09 PM - Ondrej Ezr

- Related to Bug #30681: Filter on fact value is not working properly when FactValue has some default loads added

#4 - 08/25/2020 04:37 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#5 - 08/25/2020 05:01 PM - Ondfej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f4d9295e465b3df8f14a14e40f57eb0b0d1db62a.
#6 - 08/26/2020 10:16 AM - Ondrej Ezr

- Related to deleted (Bug #29011: Adding search for Operating system in role's host filter with permission view_hosts does not construct SQL query
when APl is used)

#7 - 08/26/2020 10:17 AM - Ondrej Ezr

- Has duplicate Bug #2901 1: Adding search for Operating system in role's host filter with permission view_hosts does not construct SQL query when

APl is used added

#8 - 09/10/2020 05:11 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7975 added

#9 - 10/19/2020 07:40 AM - Tomer Brisker
- Target version changed from 2.2.0 to 2.3.0
